/* 
$VER: PLAY16gui MUI 0.60 by  Barry Beukhof
*/

address PLAY16gui

MUIA_Selected = 0x8042654b
MUIA_List_active = 0x8042391c
MUIA_List_Format = 0x80423c0a
MUIV_Listview_MultiSelect = 0x80427e08
MUIA_menuitem_shortcut = 0x80422030
MUIM_application_AboutMUI = 0x8042d21d
MUIM_application_openconfigwindow = 0x804299ba
MUIA_Cycle_Active	= 0x80421788
MUIA_String_Contents	= 0x80428ffd	
MUIA_Slider_Level	= 0x8042ae3a
MUIA_Slider_Max         = 0x8042d78a
MUIA_Slider_Min         = 0x8042e404
MUIV_List_Remove_Active = -1
MUIA_List_Dragsortable = 0x80426099
MUIA_Dropable = 0x8042fbce
MUIA_Listview_DragType = 0x80425cd3
MUIV_Listview_DragType_Immediate = 1
MUIA_SHOWME = 0x80429ba8
FALSE = 0
TRUE = 1

window ID WIND1 TITLE '"PLAY16gui MUI  V0.60"' Command "quit" PORT PLAY16gui

  menu LABEL "Project"
   menu LABEL "MUI"
    item COMMAND '"method 'MUIM_Application_AboutMUI' 0"' PORT PLAY16gui LABEL "About MUI"
    item COMMAND '"method 'MUIM_Application_OpenConfigWindow'"' PORT PLAY16gui LABEL "MUI Settings"
   endmenu
   item COMMAND "hide" PORT PLAY16gui ATTRS MUIA_Menuitem_Shortcut 'H' LABEL "Hide"
   item COMMAND "quit" PORT PLAY16gui ATTRS MUIA_Menuitem_Shortcut 'Q' LABEL "Quit"
  endmenu

group REGISTER LABELS "MAIN,PREFS,ABOUT"

/* The Main Menu */

group HORIZ
group 
list ID LIST1 HELP '"This is the playlist.\012The files in the list are dragable\012and you can save/load lists\012It is possible to clear the entire list\012or remove the highlighted file"' PORT PLAY16gui ATTRS MUIA_Listview_DragType,
 MUIV_Listview_DragType_Immediate,
 MUIA_List_DragSortable TRUE,
 MUIA_Dropable TRUE
group HORIZ
group
label SINGLE "Source File:"
endgroup
group
popasl ID MPFI COMMAND '"list ID LIST1 INSERT STRING %s"' HELP '"Select a File to add to the list"' PORT PLAY16gui
endgroup
endgroup
group HORIZ
button ID LOADL COMMAND "LOADLIST.REXX" HELP '"Use this button to Load a playlist"' LABEL "Load Playlist"
button ID SAVEL COMMAND "SAVELIST.REXX" HELP '"Use this button to save the current playlist"' LABEL "Save Playlist"
endgroup
group HORIZ
button ID CLEAR COMMAND "ClearList.Rexx" HELP '"Clear current playlist"' Label "Clear List"
Button ID REMOV COMMAND "RemoveSelected.Rexx" HELP '"Remove Selected file from list"' Label "Remove Selected"
endgroup
group HORIZ
button ID PLAYF COMMAND "PLAY.REXX" HELP '"Play the highlighted file"' LABEL "Play Selected"
endgroup
group HORIZ
button ID PLAYL COMMAND "PLAYlist.ReXx" HELP '"Play current list"' LABEL "Play List"
endgroup
endgroup
endgroup

/*The Prefs Menu*/

group 
group HORIZ
group
label SINGLE "PLAY16 Executable:"
label SINGLE "Output:"
label SINGLE "Filter:"
label SINGLE "Repeats:"
space 4
label single "ScreenMode:"
space 5
label SINGLE "Raw bits:"
label SINGLE "Raw frequency:"
label SINGLE "Raw Tracks:"
label SINGLE "Raw Compression:"
endgroup
group
popasl ID PLAY1 HELP '"Enter the name of your PLAY16 executable (i.e. C:PLAY16)"' PORT PLAY16gui 
cycle ID OUTPU HELP '"Select output device"' LABEL "Paula8,Paula14,Paula14C,MPro,Prelude,AHI"
cycle ID FILTR HELP '"Turn filter on/off or set it to auto\012if you select auto, the filter will be\012turned on at samples with low sample rates"' LABEL "On,Off,Auto"
slider ID RERUN HELP '"How many times should a\012file/list be repeated ?"'
space 2
group HORIZ
button ID SMODB HELP '"A requester will appear where you\012can select a screenmode."' COMMAND "screenmode.rexx" LABEL "Select Screemode ID"
string ID SMODE HELP '"If you want to use Play16\012on a seperate screen enter\012the screenmodeID for it here.\012Else make sure its clear.\012Some examples:\012\012ModeName:  ModeID:\012Pal HIRES  167936\012pal LOWRES  135168\012DBLpal HIRES  692224\012DBLpal LORES  659456"' ATTRS MUIA_String_Contents
endgroup
space 5
cycle ID RAWBI HELP '"Select the resolution of a RAW file"' LABEL "8,16"
cycle ID RAWFR HELP '"Select the frequency of a RAW file"' LABEL "11025,14700,22050,44100"
cycle ID RAWTR HELP '"Is it a MONO or STEREO file ?"' LABEL "1. Mono,2. Stereo"
cycle ID RAWCO HELP '"Is the file compressed using Alaw or Ulaw"' LABEL "Alaw,Ulaw,None" 
endgroup
group
label SINGLE "FAST:"
space 10
label SINGLE "Single:"
space 10
label SINGLE "Unsigned:"
space 10
label SINGLE "Raw Intel:"
space 10
label SINGLE "Force RAW:"
endgroup
group
check ID FAAST ATTRS MUIA_SELECTED
check ID SINGL ATTRS MUIA_SELECTED
check ID UNSIG ATTRS MUIA_SELECTED
check ID RAWIN ATTRS MUIA_SELECTED
check ID RAWMD ATTRS MUIA_SELECTED
endgroup
endgroup
group
button ID SAVEP HELP '"Save the prefs"' command "SavePrefs.Rexx" LABEL "Save Prefs"
endgroup
endgroup

/* About Me */

group FRAME
group
label SINGLE "PLAY16gui MUI  V0.60  by Barry Beukhof"
label SINGLE "Please send me your comments and suggestions." 
space 10
group frame
label SINGLE "Barry Beukhof"
label SINGLE "Spaaksingel 12"
label SINGLE "6716 KG Ede"
label SINGLE "The Netherlands"
endgroup
endgroup
endgroup
endgroup
endwindow

/* Loading The Prefs */

options results

if open('prefs', 'ENVARC:PLAY16gui.prefs', 'r') = 1 then do
  popasl ID PLAY1 ATTRS MUIA_String_Contents readln('prefs')
  cycle ID OUTPU ATTRS MUIA_CYCLE_ACTIVE readln('prefs')
  string ID SMODE CONTENT readln('prefs')
  cycle ID FILTR ATTRS MUIA_CYCLE_ACTIVE readln('prefs')
  cycle ID RAWBI ATTRS MUIA_CYCLE_ACTIVE readln('prefs')
  cycle ID RAWFR ATTRS MUIA_CYCLE_ACTIVE readln('prefs')
  check ID FAAST ATTRS MUIA_SELECTED readln('prefs')
  cycle ID RAWCO ATTRS MUIA_CYCLE_ACTIVE readln('prefs')
  check ID RAWIN ATTRS MUIA_SELECTED readln('prefs')
  cycle ID RAWTR ATTRS MUIA_CYCLE_ACTIVE readln('prefs')
  check ID UNSIG ATTRS MUIA_SELECTED readln('prefs')
  check ID RAWMD ATTRS MUIA_SELECTED readln('prefs')
  slider ID RERUN ATTRS MUIA_SLIDER_LEVEL readln('prefs')
  check ID SINGL ATTRS MUIA_SELECTED readln('prefs')
end
